export default class KnowledgeManage {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/list', 'post', params, axiosOption, httpOption);
  }
  static listFiles (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/listFiles', 'get', params, axiosOption, httpOption);
  }
  static recreate (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/recreate', 'post', params, axiosOption, httpOption);
  }
  static searchDocs (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/searchDocs', 'post', params, axiosOption, httpOption);
  }
  static listDocs (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/listDocs', 'post', params, axiosOption, httpOption);
  }
  static updateDocsById (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/updateDocsById', 'post', params, axiosOption, httpOption);
  }
  static updateDocs (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/updateDocs', 'post', params, axiosOption, httpOption);
  }
  static deleteDocsById (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/deleteDocsById', 'post', params, axiosOption, httpOption);
  }
  static uploadDocs (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/uploadDocs', 'post', params, axiosOption, httpOption);
  }

  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/view', 'get', params, axiosOption, httpOption);
  }

  static export (sender, params, fileName) {
    return sender.download('/admin/app/knowledgeManage/export', params, fileName);
  }

  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/add', 'post', params, axiosOption, httpOption);
  }

  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/update', 'post', params, axiosOption, httpOption);
  }

  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/delete', 'post', params, axiosOption, httpOption);
  }
  static deleteDocs (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/deleteDocs', 'post', params, axiosOption, httpOption);
  }

  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/listForTree', 'post', params, axiosOption, httpOption);
  }
  static load (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/load', 'post', params, axiosOption, httpOption);
  }
  static addKnowledgeUser (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/addKnowledgeUser', 'post', params, axiosOption, httpOption);
  }

  static listNotInKnowledgeUser (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/listNotInKnowledgeUser', 'post', params, axiosOption, httpOption);
  }

  static getSysUserListByKnowledgeId (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/listKnowledgeUser', 'post', params, axiosOption, httpOption);
  }

  static deleteKnowledgeUser (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/knowledgeManage/deleteKnowledgeUser', 'post', params, axiosOption, httpOption);
  }
}
